> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export Company Data Csv

> Builds a CSV of all active employees' profile, masked banking and tax data for the org.

Not available to API keys yet. It will need `reports:write` and `banking:read` and `compensation:read` and `identity:read` and `people:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/export-company-data-csv
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/export-company-data-csv:
    post:
      operationId: exportCompanyDataCsv
      summary: Export Company Data Csv
      description: >-
        Builds a CSV of all active employees' profile, masked banking and tax
        data for the org.


        Not available to API keys yet. It will need `reports:write` and
        `banking:read` and `compensation:read` and `identity:read` and
        `people:read`.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportCompanyDataCsvResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ExportCompanyDataCsvResponse:
      type: object
      properties:
        csv:
          type: string
        filename:
          type: string
      required:
        - csv
        - filename
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
